package jp.co.atmarkit.quiz.jdbc;

import java.util.List;

import jp.co.atmarkit.quiz.entity.Quiz;

import org.seasar.extension.jdbc.JdbcManager;

/**
 * QuizテーブルのJDBCクラスです。
 */
public class QuizJdbc {
    
    /**
     * JDBCマネージャです。
     */
    public JdbcManager jdbcManager;

    /**
     * {@link Quiz}テーブルのデータを全件取得します。
     * 
     * @return {@link Quiz}
     */
    public List<Quiz> getQuiz() {
        return jdbcManager.from(Quiz.class).getResultList();
    }
}
