package jp.co.atmarkit.user.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * レコードテーブルに対応したエンティティ
 */
@Entity
@Table(name="Record")
public class User implements Serializable {
    static final long serialVersionUID = 1L;

    /** id */
    public int id;
    /** name */
    public String name;
    /** ruby */
    public String ruby;
    /** mail */
    public String mail;
    /** sex */
    public String sex;
    /** age */
    public String age;
    /** birthday */
    public String birthday;
    /** married */
    public String married;
    /** bloodtype */
    public String bloodtype;
    /** prefecture */
    public String prefecture;
    /** prefectureCode */
    @Column(name="prefectureCode")
    public String prefectureCode;
    /** phone */
    public String phone;
    /** keitai */
    public String keitai;
    /** carrier */
    public String carrier;
    /** curry */
    public String curry;
}
