package jp.co.atmarkit.user.jdbc;

import java.util.List;

import jp.co.atmarkit.user.entity.User;

import org.seasar.extension.jdbc.JdbcManager;

/**
 * UserテーブルのJDBCクラスです。
 */
public class UserJdbc {
    
    /**
     * JDBCマネージャです。
     */
    public JdbcManager jdbcManager;

    /**
     * {@link User}テーブルのデータを全件取得します。
     * 
     * @return {@link User}
     */
    public List<User> getUser() {
        return jdbcManager.from(User.class).getResultList();
    }
}
