package jp.co.atmarkit.user.service;

import jp.co.atmarkit.user.dto.UserRequestDto;
import jp.co.atmarkit.user.dto.UserResponseDto;
import jp.co.atmarkit.user.jdbc.UserJdbc;

import org.seasar.framework.container.annotation.tiger.Binding;


/**
 * UserServiceクラスです。
 */
public class UserService {

    /** {@link UserJdbc} */
    @Binding
    public UserJdbc userJdbc;

    /**
	 * ユーザーを返します。
	 * 
	 * @param requestDto {@link UserRequestDto}
	 * @return {@link UserResponseDto}
	 */
	public UserResponseDto getUser(UserRequestDto requestDto) {
	    // 戻り値の作成
	    UserResponseDto responseDto = new UserResponseDto();
	    
        // コメントの検索の実行
	    responseDto.userList = userJdbc.getUser();
        
	    // 検索結果をクライアントに返す
	    return responseDto;
	}
}